#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#define MAX 100

int main()
{
    char linha[100];

    fgets(linha, 100, stdin);
    linha[strlen(linha) - 1] = '\0';

    char *temp0 = strtok(linha, " ");
    char *temp1 = strtok(NULL, " ");

    int m = atoi(temp0);
    int t = atoi(temp1);

    char matriz[m][MAX];

    for (int x = 0; x < m; x++)
    {
        fgets(linha, 100, stdin);
        matriz[x][MAX] = linha;
    }

    int l, c;

    for (int x = 0; x < t; x++)
    {
        fgets(linha, 100, stdin);

        temp0 = strtok(linha, " ");
        temp1 = strtok(NULL, " ");

        l = atoi(temp0) - 1;
        c = atoi(temp1) - 1;
        if (matriz[l][c] == 'A')
        {
            printf("agua \n");
        }
        else
        {
            printf("acertou \n");
        }
    }
    return 0;
}